cudnn_frontend::Tensor_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_Tensor.h
friend class friend class TensorBuilder_v8 TensorBuilder_v8 cudnn_frontend::TensorBuilder_v8::build
cudnnDataType_t cudnnDataType_t cudnn_frontend::Tensor_v8::data_type data_type = CUDNN_DATA_FLOAT describe getDataType
int64_t int64_t cudnn_frontend::Tensor_v8::btensor_dimA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] btensor_dimA = {-1}

Datatype of the elements.

describe
getDimArray
getPackedElementCount
int64_t int64_t cudnn_frontend::Tensor_v8::btensor_strA[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] btensor_strA = {-1}

n, g, c, d, h, w

describe
getStrideArray
int64_t int64_t cudnn_frontend::Tensor_v8::id id = -1

n, g, c, d, h, w

int64_t int64_t cudnn_frontend::Tensor_v8::alignment alignment = -1

Unique id of the tensor.

describe
int64_t int64_t cudnn_frontend::Tensor_v8::nDims nDims = -1

Certain engine config expect minimum alignment of 16B.

Alignment of the tensor.

describe
getDimensionCount
getPackedElementCount
int64_t int64_t cudnn_frontend::Tensor_v8::vectorDimension vectorDimension = -1

Number of Dimensions of the tensor.

describe
int64_t int64_t cudnn_frontend::Tensor_v8::vectorCount vectorCount = 1

Which dimension of the tensor is vectorized (Generally the c dim)

describe
getPackedElementCount
bool bool cudnn_frontend::Tensor_v8::isVirtual isVirtual = false

What is the vectorization count (4 or 32)

describe
bool bool cudnn_frontend::Tensor_v8::isByValue isByValue = false

Whether it is an intermediate tensor of an op graph.

describe
std::string std::string cudnn_frontend::Tensor_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

alignment
btensor_dimA
btensor_strA
data_type
isByValue
isVirtual
nDims
cudnn_frontend::to_string
nlohmann::to_string
vectorCount
vectorDimension
int64_t int64_t cudnn_frontend::Tensor_v8::getPackedElementCount () const getPackedElementCount btensor_dimA nDims vectorCount
int64_t int64_t cudnn_frontend::Tensor_v8::getDimensionCount () const getDimensionCount nDims cudnn_frontend::cudnnReorderFilterAndBiasInt8x32
int64_t const * int64_t const* cudnn_frontend::Tensor_v8::getDimArray () const getDimArray btensor_dimA cudnn_frontend::cudnnReorderFilterAndBiasInt8x32
int64_t const * int64_t const* cudnn_frontend::Tensor_v8::getStrideArray () const getStrideArray btensor_strA
int64_t int64_t cudnn_frontend::Tensor_v8::getDataType () const getDataType data_type operator= Tensor_v8 ~Tensor_v8
cudnn_frontend::Tensor_v8::Tensor_v8
(Tensor_v8 &&from)=default
Tensor_v8
Tensor_v8 && from
Tensor_v8 & Tensor_v8& cudnn_frontend::Tensor_v8::operator= (Tensor_v8 &&)=default operator= Tensor_v8 && cudnn_frontend::TensorBuilder_v8::build getDataType
cudnn_frontend::Tensor_v8::~Tensor_v8
()=default
~Tensor_v8
getDataType
cudnn_frontend::Tensor_v8::Tensor_v8
()=default
Tensor_v8
getDataType
cudnn_frontend::Tensor_v8::Tensor_v8
(Tensor_v8 const &)=delete
Tensor_v8
Tensor_v8 const &
Tensor_v8 & Tensor_v8& cudnn_frontend::Tensor_v8::operator= (Tensor_v8 const &)=delete operator= Tensor_v8 const &

Tensor_v8 Class This class tells the properties of the Tensor_v8 on which the operation will be performed Properties:

- dataType

- alignment

- unique identifier

- tensor dimensions

- tensor strides

- isVirtual

- isByValue

Use TensorBuilder_v8 to build this class. Describe returns a string describing the tensor class

cudnn_frontend::Tensor_v8
cudnn_frontend::BackendDescriptor
shared_ptr< OpaqueBackendPointer >
cudnnStatus_t
std::basic_string< char >
cudnnDataType_t
bool
int64_t
cudnn_frontend::Tensor_v8
-btensor_dimA
-vectorDimension
-vectorCount
-nDims
-id
-alignment
-btensor_strA
-isByValue
-isVirtual
-data_type
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::Tensor_v8
  alignment
- cudnn_frontend::Tensor_v8
  BackendDescriptor
- cudnn_frontend::Tensor_v8
  BackendDescriptor
- cudnn_frontend::Tensor_v8
  btensor_dimA
- cudnn_frontend::Tensor_v8
  btensor_strA
- cudnn_frontend::Tensor_v8
  data_type
- cudnn_frontend::Tensor_v8
  describe
- cudnn_frontend::Tensor_v8
  err_msg
- cudnn_frontend::Tensor_v8
  get_desc
- cudnn_frontend::Tensor_v8
  get_error
- cudnn_frontend::Tensor_v8
  get_raw_desc
- cudnn_frontend::Tensor_v8
  get_status
- cudnn_frontend::Tensor_v8
  getDataType
- cudnn_frontend::Tensor_v8
  getDimArray
- cudnn_frontend::Tensor_v8
  getDimensionCount
- cudnn_frontend::Tensor_v8
  getPackedElementCount
- cudnn_frontend::Tensor_v8
  getStrideArray
- cudnn_frontend::Tensor_v8
  id
- cudnn_frontend::Tensor_v8
  initialize_managed_backend_pointer
- cudnn_frontend::Tensor_v8
  isByValue
- cudnn_frontend::Tensor_v8
  isVirtual
- cudnn_frontend::Tensor_v8
  nDims
- cudnn_frontend::Tensor_v8
  operator=
- cudnn_frontend::Tensor_v8
  operator=
- cudnn_frontend::Tensor_v8
  pointer
- cudnn_frontend::Tensor_v8
  set_error
- cudnn_frontend::Tensor_v8
  set_status
- cudnn_frontend::Tensor_v8
  status
- cudnn_frontend::Tensor_v8
  Tensor_v8
- cudnn_frontend::Tensor_v8
  Tensor_v8
- cudnn_frontend::Tensor_v8
  Tensor_v8
- cudnn_frontend::Tensor_v8
  TensorBuilder_v8
- cudnn_frontend::Tensor_v8
  vectorCount
- cudnn_frontend::Tensor_v8
  vectorDimension
- cudnn_frontend::Tensor_v8
  ~Tensor_v8